tag=`md5sum Dockerfile  | cut -f1 -d" "`
registry="gitlab.csc.uvic.ca:5050"
repository="jupyter/notebooks/piconet"
run="echo"
opts="--rm"

cmd=$1


case $cmd in
   run)
	run=""
	;;
   sudo)
	run="sudo"
	;;
   *)	
	cat << USAGE
*** Dry Run ***
By default this just prints the what is going to happen for inspection
Usage:
   $0 run
     Runs the commands 
   $0 sudo
    Runs the commands with sudo (if you need it)
**************
USAGE

esac

${run} docker login ${registry}
${run} docker build ${opts} -t ${registry}/${repository}:${tag} --no-cache .
${run} docker push gitlab.csc.uvic.ca:5050/${repository}
${run} docker logout ${registry}

